List locations
GET/api/v1/locations
GET /api/v1/locations
Locations are additional addresses that are applicable to a client. This is useful when a client has multiple addresses for shipping, billing, etc.
When retrieving a list of locations you can chain query parameters to filter the dataset. For example:
/api/v1/locations?name=warehouse*
Sorting uses column|asc or column|desc. Use a single sort parameter for one column, or repeated sort[] parameters for multi-level ordering (first is primary):
/api/v1/locations?sort=id|desc
/api/v1/locations?sort[]=id|desc&sort[]=name|asc
For pagination, use per_page and page parameters:
/api/v1/locations?per_page=15&page=2
The default per_page value is 20.
Request
Responses
- 200
- 401
- 403
- 422
- 429
- default
A list of locations
Response Headers
X-MINIMUM-CLIENT-VERSION
The API version
X-RateLimit-Remaining
The number of requests left for the time window.
X-RateLimit-Limit
The total number of requests in a given time window.
Authentication error
Authorization error
Validation error
Rate Limit Exceeded
Unexpected Error